org.apache.felix.ipojo.extender

## Interface DeclarationHandle

All Known Implementing Classes:
  AbstractDeclaration, DefaultExtensionDeclaration, DefaultInstanceDeclaration, DefaultTypeDeclaration

    public interface DeclarationHandle

Handle on the associated `Declaration` service. It can be used to start and/or stop the underlying declaration as well as retrieving its status (bound or not).

Since:
  1.11.2

### Method Summary

All Methods Instance Methods Abstract Methods
`Status` `getStatus()` Return the current (instant) status of the declaration.
`void` `publish()` Publish the `Declaration`.
`void` `retract()` Retract the `Declaration` service.

### Method Detail

#### publish

    void publish()

Publish the `Declaration`. If the declaration is already registered, it's a no-op operation.

#### retract

    void retract()

Retract the `Declaration` service. If the declaration is not registered, it's a no-op operation.

#### getStatus

    Status getStatus()

Return the current (instant) status of the declaration. Remember that `Status` is immutable (status does not change over time). If you want an updated status, call again the `getStatus()` method.

Returns:
  the instant status of the `Declaration`